// Version de graph_pi: 
// Version: $Id: graph_pi.asy,v 0.0 "2007/01/27 10:35:52" Philippe Ivaldi Exp $
// Last modified: Fri Mar 28 15:57:10 CET 2008

// Version d'Asymptote: 2.35
// Version de texmaker: 4.5
// Compilation avec "C:/Program Files/Asymptote/asy.exe" -f pdf -noView %.asy

import graph_pi;
import patterns;
real xmin=-0.2, xmax=3.2,ymin=-0.4, ymax=1.5;

graphicrules(unit=3.6cm, xmin=xmin, xmax=xmax,ymin=ymin, ymax=ymax);
cartesianaxis(extraheight=0,extrawidth=0,xticks=Ticks(Step=1,step=0,NoZero,end=false,endlabel=false,begin=true,beginlabel=true), yticks=Ticks(Step=1,step=0,NoZero,end=false,endlabel=false,begin=true,beginlabel=true));
//labeloij();
label("$O$",(0,0),SE);

//grid(pTick=gray(0.8),xstep=0,ystep=0); //,ptick=gray(0.8)

real f(real t)
{return t*log(t);}
path Cf=graph(f,0.01,2.1,n=300);
draw(Cf,linewidth(0.75bp));

//def hachures
//add("hachure",hatch(H=2mm,dir=NE));
add("hhachure",hatch(H=2mm,NW));

//for (int i=1; i<=3; ++i){
//filldraw((1+0.25*i,0)--(1+0.25*i,f(1+0.25*i))--(1.25+0.25*i,f(1+0.25*i))--(1.25+0.25*i,0)--cycle,pattern("hachure"));
//}

for (int i=1; i<=4; ++i){
filldraw((0.75+0.25*i,0)--(0.75+0.25*i,f(1+0.25*i))--(1+0.25*i,f(1+0.25*i))--(1+0.25*i,0)--cycle,pattern("hhachure"));
}

// Les rectangles
//int a=0, b=4;
//for(int i=a; i <= b; ++i) {
//  if(i < b) filldraw(box((1+i*0.25,f(i*0.25)),(i*0.25+1.25,0)),gray); //pattern("hachure")
//}

label("$\mathcal{C}$",(0.7,-0.2));
//label("$\mathcal{C}_{g}$",(2.4,1.12));

shipout(bbox(0.1cm,0.1cm,invisible));
